Show patches with: Submitter = Matt Weber       |    Archived = No       |   910 patches
« 1 2 3 49 10 »
Patch Series A/F/R/T S/W/F Date Submitter Delegate State
[v3,3/3] support/testing/tests/fs: test OCI format Add support for OCI rootfs images - - - - --- 2021-08-27 Matthew Weber Accepted
[v3,2/3] fs: new OCI filesystem type Add support for OCI rootfs images - - - - --- 2021-08-27 Matthew Weber Accepted
[v3,1/3] package/sloci-image: new host package Add support for OCI rootfs images - - - - --- 2021-08-27 Matthew Weber Accepted
package/kvm-unit-tests: disable SSP package/kvm-unit-tests: disable SSP - 1 - - --- 2021-08-20 Matthew Weber Changes Requested
package/kvm-unit-tests: fix powerpc64 PHDR seg err package/kvm-unit-tests: fix powerpc64 PHDR seg err - 1 - - --- 2021-08-20 Matthew Weber Accepted
package/eigen: override Fortran path package/eigen: override Fortran path - 1 - - --- 2021-08-19 Matthew Weber Accepted
package/nginx: fix NGINX pidfile handling systemd package/nginx: fix NGINX pidfile handling systemd - - - - --- 2021-05-21 Matthew Weber Changes Requested
utils/genrandconfig: drop hardening Config enables utils/genrandconfig: drop hardening Config enables - - - - --- 2021-05-21 Matthew Weber Accepted
[v2,3/3] support/scripts/pkg-stats: clarify when a CVE/CPE should report as N/A [v2,1/3] support/scripts/pkg-stats: verified CPE has a known id but not version - - - - --- 2021-05-19 Matthew Weber Accepted
[v2,2/3] support/scripts/pkg-stats: add is_actual_package() and rework has_valid_infra() [v2,1/3] support/scripts/pkg-stats: verified CPE has a known id but not version - - - - --- 2021-05-19 Matthew Weber Accepted
[v2,1/3] support/scripts/pkg-stats: verified CPE has a known id but not version [v2,1/3] support/scripts/pkg-stats: verified CPE has a known id but not version - - - - --- 2021-05-19 Matthew Weber Accepted
[3/3] support/scripts/pkg-stats: clarify when a CVE/CPE should report as N/A [1/3] support/scripts/pkg-stats: fix flake8 E741 ambiguous variable name - - - - --- 2021-05-18 Matthew Weber Changes Requested
[2/3] support/scripts/pkg-stats: add is_actual_package() and rework has_valid_infra() [1/3] support/scripts/pkg-stats: fix flake8 E741 ambiguous variable name - - - - --- 2021-05-18 Matthew Weber Changes Requested
[1/3] support/scripts/pkg-stats: fix flake8 E741 ambiguous variable name [1/3] support/scripts/pkg-stats: fix flake8 E741 ambiguous variable name - - - - --- 2021-05-18 Matthew Weber Accepted
DEVELOPERS: transition rockwellcollins.com to collins.com DEVELOPERS: transition rockwellcollins.com to collins.com - - - - --- 2021-05-06 Matthew Weber Accepted
[v3,2/2] support/scripts/pkg-stats: add column reporting ignored CVEs [v3,1/2] support/scripts/pkg-stats: add CPE searching links - - - - --- 2021-04-22 Matt Weber Accepted
[v3,1/2] support/scripts/pkg-stats: add CPE searching links [v3,1/2] support/scripts/pkg-stats: add CPE searching links - - - - --- 2021-04-22 Matt Weber Accepted
[10/10] package/tar: ignore CVE-2007-4476 Misc CVE ignores - - - - --- 2021-04-21 Matt Weber Accepted
[09/10] package/rsyslog: ignore CVE-2015-3243 Misc CVE ignores - - - - --- 2021-04-21 Matt Weber Accepted
[08/10] package/ncurses: ignore CVE-2018-10754, CVE-2018-19211, CVE-2018-19217, CVE-2019-17594, CVE… Misc CVE ignores - - - - --- 2021-04-21 Matt Weber Accepted
[07/10] package/wpa_supplicant: ignore CVE-2021-30004 when using openssl Misc CVE ignores - - - - --- 2021-04-21 Matt Weber Accepted
[06/10] package/hostapd: ignore CVE-2021-30004 when using openssl Misc CVE ignores - - - - --- 2021-04-21 Matt Weber Accepted
[05/10] package/flex: ignore CVE-2019-6293 Misc CVE ignores - - - - --- 2021-04-21 Matt Weber Accepted
[04/10] package/cmake: ignore CVE-2016-10642 Misc CVE ignores - - - - --- 2021-04-21 Matt Weber Accepted
[03/10] package/bind: ignore CVE-2019-6470 Misc CVE ignores - - - - --- 2021-04-21 Matt Weber Accepted
[02/10] package/coreutils: ignore CVE-2013-0221, CVE-2013-0222, CVE-2013-0223 Misc CVE ignores - - - - --- 2021-04-21 Matt Weber Accepted
[01/10] package/bind: ignore CVE-2017-3139 Misc CVE ignores - - - - --- 2021-04-21 Matt Weber Accepted
[v2,2/2] support/scripts/pkg-stats: add CPE searching links [v2,1/2] package/libqmi: add _CPE_ID_VENDOR - - - - --- 2021-04-21 Matt Weber Superseded
[v2,1/2] package/libqmi: add _CPE_ID_VENDOR [v2,1/2] package/libqmi: add _CPE_ID_VENDOR - - - - --- 2021-04-21 Matt Weber Accepted
[25/25] package/sysvinit: add _CPE_ID_VENDOR [01/25] package/automake: add _CPE_ID_VENDOR - - - - --- 2021-04-20 Matt Weber Accepted
[24/25] package/sysstat: add _CPE_ID_VENDOR [01/25] package/automake: add _CPE_ID_VENDOR - - - - --- 2021-04-20 Matt Weber Accepted
[23/25] package/rp-pppoe: add _CPE_ID_VENDOR [01/25] package/automake: add _CPE_ID_VENDOR - - - - --- 2021-04-20 Matt Weber Accepted
[22/25] package/rng-tools: add _CPE_ID_VENDOR [01/25] package/automake: add _CPE_ID_VENDOR - - - - --- 2021-04-20 Matt Weber Accepted
[21/25] package/python3-setuptools: add _CPE_ID_VENDOR and_CPE_ID_PRODUCT [01/25] package/automake: add _CPE_ID_VENDOR - - - - --- 2021-04-20 Matt Weber Accepted
[20/25] package/python3-decorator: add _CPE_ID_VENDOR and _CPE_ID_PRODUCT [01/25] package/automake: add _CPE_ID_VENDOR - - - - --- 2021-04-20 Matt Weber Accepted
[19/25] package/pugixml: add _CPE_ID_VENDOR [01/25] package/automake: add _CPE_ID_VENDOR - - - - --- 2021-04-20 Matt Weber Accepted
[18/25] package/popt: add _CPE_ID_VENDOR [01/25] package/automake: add _CPE_ID_VENDOR - - - - --- 2021-04-20 Matt Weber Accepted
[17/25] package/pkgconf: add _CPE_ID_VENDOR [01/25] package/automake: add _CPE_ID_VENDOR - - - - --- 2021-04-20 Matt Weber Accepted
[16/25] package/parted: add _CPE_ID_VENDOR [01/25] package/automake: add _CPE_ID_VENDOR - - - - --- 2021-04-20 Matt Weber Accepted
[15/25] package/openresolv: add _CPE_ID_VENDOR [01/25] package/automake: add _CPE_ID_VENDOR - - - - --- 2021-04-20 Matt Weber Accepted
[14/25] package/make: add _CPE_ID_VENDOR [01/25] package/automake: add _CPE_ID_VENDOR - - - - --- 2021-04-20 Matt Weber Accepted
[13/25] package/libtool: add _CPE_ID_VENDOR [01/25] package/automake: add _CPE_ID_VENDOR - - - - --- 2021-04-20 Matt Weber Accepted
[12/25] package/libqmi: add _CPE_ID_VENDOR [01/25] package/automake: add _CPE_ID_VENDOR - - - - --- 2021-04-20 Matt Weber Changes Requested
[11/25] package/libnl: add _CPE_ID_VENDOR [01/25] package/automake: add _CPE_ID_VENDOR - - - - --- 2021-04-20 Matt Weber Accepted
[10/25] package/libdaemon: add _CPE_ID_VENDOR [01/25] package/automake: add _CPE_ID_VENDOR - - - - --- 2021-04-20 Matt Weber Accepted
[09/25] package/libcap: add _CPE_ID_VENDOR [01/25] package/automake: add _CPE_ID_VENDOR - - - - --- 2021-04-20 Matt Weber Accepted
[08/25] package/json-for-modern-cpp: add _CPE_ID_VENDOR [01/25] package/automake: add _CPE_ID_VENDOR - - - - --- 2021-04-20 Matt Weber Accepted
[07/25] package/iputils: add _CPE_ID_VENDOR [01/25] package/automake: add _CPE_ID_VENDOR - - - - --- 2021-04-20 Matt Weber Accepted
[06/25] package/iproute2: add _CPE_ID_VENDOR [01/25] package/automake: add _CPE_ID_VENDOR - - - - --- 2021-04-20 Matt Weber Accepted
[05/25] package/gperf: add _CPE_ID_VENDOR and _CPE_ID_PRODUCT [01/25] package/automake: add _CPE_ID_VENDOR - - - - --- 2021-04-20 Matt Weber Accepted
[04/25] package/cmake: add _CPE_ID_VENDOR [01/25] package/automake: add _CPE_ID_VENDOR - - - - --- 2021-04-20 Matt Weber Accepted
[03/25] package/cgroupfs-mount: add _CPE_ID_VENDOR [01/25] package/automake: add _CPE_ID_VENDOR - - - - --- 2021-04-20 Matt Weber Accepted
[02/25] package/c-periphery: add _CPE_ID_VENDOR [01/25] package/automake: add _CPE_ID_VENDOR - - - - --- 2021-04-20 Matt Weber Accepted
[01/25] package/automake: add _CPE_ID_VENDOR [01/25] package/automake: add _CPE_ID_VENDOR - - - - --- 2021-04-20 Matt Weber Accepted
[v2] package/ace: new package [v2] package/ace: new package - - - - --- 2021-04-13 Matt Weber New
package/ace: new package package/ace: new package - - - - --- 2021-04-12 Matt Weber Superseded
[v2] package/haveged: set write_wakeup_threshold to 2048 [v2] package/haveged: set write_wakeup_threshold to 2048 - - - - --- 2021-04-12 Matt Weber New
package/python-flup: update dependency to python3 package/python-flup: update dependency to python3 - - - - --- 2021-04-12 Matt Weber Accepted
[v7,2/2] package/freeradius-server: new package [v7,1/2] package/libtalloc: new package - - - - --- 2021-04-12 Matt Weber New
[v7,1/2] package/libtalloc: new package [v7,1/2] package/libtalloc: new package - - - - --- 2021-04-12 Matt Weber Accepted
[v3] package/xml-security-c: new package [v3] package/xml-security-c: new package - - - - --- 2021-04-12 Matt Weber Accepted
[v6,2/2] package/freeradius-server: new package [v6,1/2] package/libtalloc: new package - - - - --- 2021-04-12 Matt Weber Superseded
[v6,1/2] package/libtalloc: new package [v6,1/2] package/libtalloc: new package - - - - --- 2021-04-12 Matt Weber Superseded
package/python-iwlib: add python-iwlib package/python-iwlib: add python-iwlib - - - - --- 2021-04-12 Matt Weber Accepted
package/python-wpaspy: add python-wpaspy package/python-wpaspy: add python-wpaspy - - - - --- 2021-04-12 Matt Weber Changes Requested
package/bridge-utils: fix missing PATH_MAX include package/bridge-utils: fix missing PATH_MAX include - 1 - - --- 2021-04-12 Matt Weber Not Applicable
[v11,9/9] package/compiler-rt: runtime test use toolchain-wrapper [v11,1/9] package/llvm: bump to version 11.1.0 - - - - --- 2021-03-11 Matt Weber Changes Requested
[v11,8/9] package/clang: install a toolchain-wrapper for the host clang cross-compiler [v11,1/9] package/llvm: bump to version 11.1.0 - - - - --- 2021-03-11 Matt Weber Changes Requested
[v11,7/9] package/clang: help host-clang to find our external toolchain [v11,1/9] package/llvm: bump to version 11.1.0 - - - 1 --- 2021-03-11 Matt Weber Changes Requested
[v11,6/9] testing/tests: CLANG compiler-rt runtime test [v11,1/9] package/llvm: bump to version 11.1.0 - - - - --- 2021-03-11 Matt Weber Changes Requested
[v11,5/9] package/compiler-rt: new package [v11,1/9] package/llvm: bump to version 11.1.0 - - - - --- 2021-03-11 Matt Weber Changes Requested
[v11,4/9] package/libclc: bump version to 11.1.0 [v11,1/9] package/llvm: bump to version 11.1.0 - - - - --- 2021-03-11 Matt Weber Changes Requested
[v11,3/9] package/lld: bump to version 11.1.0 [v11,1/9] package/llvm: bump to version 11.1.0 - - - - --- 2021-03-11 Matt Weber Changes Requested
[v11,2/9] package/clang: bump to version 11.1.0 [v11,1/9] package/llvm: bump to version 11.1.0 - - - - --- 2021-03-11 Matt Weber Changes Requested
[v11,1/9] package/llvm: bump to version 11.1.0 [v11,1/9] package/llvm: bump to version 11.1.0 - - - - --- 2021-03-11 Matt Weber Changes Requested
[[Next] RFC] sdk-docker: new make target using Dockcross [[Next] RFC] sdk-docker: new make target using Dockcross - - - - --- 2021-02-15 Matt Weber New
[v10,4/4] testing/tests: CLANG compiler-rt runtime test [v10,1/4] package/llvm: bump to version 11.0.0 - - - - --- 2021-02-05 Matt Weber Superseded
[v10,3/4] package/compiler-rt: new package [v10,1/4] package/llvm: bump to version 11.0.0 - - - - --- 2021-02-05 Matt Weber Superseded
[v10,2/4] package/clang: bump to version 11.0.0 [v10,1/4] package/llvm: bump to version 11.0.0 - - - - --- 2021-02-05 Matt Weber Superseded
[v10,1/4] package/llvm: bump to version 11.0.0 [v10,1/4] package/llvm: bump to version 11.0.0 - - - - --- 2021-02-05 Matt Weber Superseded
[RFC,2/2] flatpak: new package [RFC,1/2] appstream-glib: new package - - - - --- 2021-01-26 Matt Weber Not Applicable
[RFC,1/2] appstream-glib: new package [RFC,1/2] appstream-glib: new package - - - - --- 2021-01-26 Matt Weber Not Applicable
package/opkg-utils: add opkg-utils as target pkg package/opkg-utils: add opkg-utils as target pkg - - - - --- 2021-01-26 Matt Weber Changes Requested
[v2] package/uboot-tools: resolve host uboot env/script error [v2] package/uboot-tools: resolve host uboot env/script error - - - - --- 2021-01-26 Matt Weber Accepted
[2/2] package/uboot-tools: env/script generation need BINARIES_DIR [1/2] package/uboot-tools: resolve uboot env source file error - - - - --- 2021-01-25 Matt Weber Superseded
[1/2] package/uboot-tools: resolve uboot env source file error [1/2] package/uboot-tools: resolve uboot env source file error - - - - --- 2021-01-25 Matt Weber Accepted
package/environment-setup: new package package/environment-setup: new package - - - 2 --- 2020-10-27 Matt Weber Changes Requested
[2/2] defconfigs: use BR2_PACKAGE_HOST_UBOOT_TOOLS_ENVIMAGE_ [1/2] defconfigs: use BR2_PACKAGE_HOST_UBOOT_TOOLS_BOOT_SCRIPT_ - - - - --- 2020-10-07 Matt Weber Accepted
[1/2] defconfigs: use BR2_PACKAGE_HOST_UBOOT_TOOLS_BOOT_SCRIPT_ [1/2] defconfigs: use BR2_PACKAGE_HOST_UBOOT_TOOLS_BOOT_SCRIPT_ - - - - --- 2020-10-07 Matt Weber Accepted
[v2,3/3] genrandconfig: uboot-tools env/scr creation test files Support uboot file creation w/o uboot - - - - --- 2020-09-24 Matt Weber Accepted
[v2,2/3] package/uboot-tools: migrate BR2_TARGET_UBOOT_BOOT_SCRIPT from U-Boot pkg Support uboot file creation w/o uboot - - - - --- 2020-09-24 Matt Weber Accepted
[v2,1/3] package/uboot-tools: migrate BR2_TARGET_UBOOT_ENVIMAGE from U-Boot pkg Support uboot file creation w/o uboot - - - - --- 2020-09-24 Matt Weber Accepted
[2/2] package/uboot-tools: migrate BR2_TARGET_UBOOT_BOOT_SCRIPT from U-Boot pkg Support uboot file creation w/o uboot - - - - --- 2020-09-23 Matt Weber Changes Requested
[1/2] package/uboot-tools: migrate BR2_TARGET_UBOOT_ENVIMAGE from U-Boot pkg Support uboot file creation w/o uboot - - - - --- 2020-09-23 Matt Weber Changes Requested
gcc: powerpc32 transition to secureplt gcc: powerpc32 transition to secureplt - - - - --- 2020-09-23 Matt Weber Accepted
gcc: disable fortran use of libquadmath gcc: disable fortran use of libquadmath - 1 - - --- 2020-09-11 Matt Weber Accepted
[2020.02.x] package/python-twisted: Fix several request smuggling attacks [2020.02.x] package/python-twisted: Fix several request smuggling attacks - - - - --- 2020-07-15 Matt Weber Accepted
package/python-urllib3: security bump to 1.25.9 package/python-urllib3: security bump to 1.25.9 - - - - --- 2020-07-14 Matt Weber Accepted
[2020.02.x] package/pcre: security bump to 8.44 [2020.02.x] package/pcre: security bump to 8.44 - - - - --- 2020-07-14 Matt Weber Not Applicable
[2020.02.x] package/libglib2: security bump to 2.62.5 [2020.02.x] package/libglib2: security bump to 2.62.5 - - - - --- 2020-07-14 Matt Weber Accepted
« 1 2 3 49 10 »